﻿@using Jumbula.Web.WebLogic.UserService

@{
    ViewBag.Title = "Dashboard";
    ViewBag.IsRegistrantReport = true;

    var confiramtionId = Request.QueryString["confiramtionId"] != null ? Request.QueryString["confiramtionId"].ToString() : string.Empty;
    var orderitemId = Request.QueryString["orderItemId"] != null ? Request.QueryString["orderItemId"].ToString() : string.Empty;
}


@section Styles{
      @Styles.Render("~/bundles/ParentDashboardStyles")
 
}
<div class="container">
    <div class="title-page">
        <h1>
            Orders
        </h1>

        <div class="clearfix"></div>
    </div>
    <div class="content-result">
        <div class="parent-grid-custom" id="OrdersGrid">
        </div>
        <script type="text/x-kendo-template" id="template">
            <div class="tabstrip">
                <div>
                    <div class="orderItems"></div>

                </div>
            </div>
        </script>
        <div id="EmptyGrid" class="success" style="display:none">No data found</div>

    </div>

</div>




@section scripts {

@Scripts.Render("~/bundles/kenodUiScripts")

    <script>
        function kendoEmptyGridFix() {

            $("[data-role='grid']").each(function () {
                $(this).data("kendoGrid").bind('detailInit', function (e) {
                    kendoEmptyGridFix();
                });
                $(this).data("kendoGrid").bind('dataBound', function (e) {
                    var colCount = this.table.find("tHead tr th").length;
                    if ($(this)[0].dataSource._view.length == 0) {
                        var msg = ($(this)[0].dataSource.options.emptyMsg == undefined ? "" : $(this)[0].dataSource.options.emptyMsg);
                        this.table.find('tbody').html('<tr class="kendo-data-row"><td colspan="' + colCount + '" style="text-align:center; padding-top:20px; padding-bottom:20px;"><div class="k-empty-grid-row">' + msg + '</div></td></tr>');

                        $("[data-role='grid']").find('.k-grid-header-wrap').hide();
                        $("#OrdersGrid").hide();
                        $("#EmptyGrid").show();

                    };
                });
            });
        }

        $("#OrdersGrid").kendoGrid({
            dataSource: {
                type: "json",
                transport: {
                    read: {
                        url: "GetOrders",
                        dataType: "json"
                    },
                    parameterMap: function (data, type) {
                        if (type === "read") {
                            return {
                                term: '',
                                skip: data.skip,
                                take: data.take,
                                page: data.page,
                                pageSize: data.pageSize,
                                sort: null
                            }
                        }
                    }
                },
                requestStart: function () {

                },
                requestEnd: function () {

                },
                schema: {
                    total: "TotalCount",
                    data: "DataSource"
                },
                resizable: true,
                sort: {
                    field: "DateTime",
                    dir: "desc"
                }
            },

            groupable: false,
            sortable: true,
            columnMenu: true,

            scrollable: {
                virtual: true
            },
            detailTemplate: kendo.template($("#template").html()),
            detailInit: detailInit,
            dataBound: onDataBound,
            columns: [{
                    field: "Date",
                    title: "Date",
                    width: "240px",

                },
                {
                    field: "Confirmation",
                    title: "Confirmation",
                    width: "260px",

                },
                {
                    field: "OrderAmount",
                    title: "Order amount",
                    width: "100px",
                    attributes: { style: "text-align:right;padding-right:30px;" },

                },
                {
                    field: "PaidAmount",
                    title: "Paid amount",
                    width: "100px",
                    attributes: { style: "text-align:right;padding-right:30px;" },

                }

            ],

        });
        function detailInit(e) {
            var detailRow = e.detailRow;

            detailRow.find(".orderItems").kendoGrid({
                dataSource: {
                    type: "json",
                    transport: {
                        read: {
                            url: "GetOrderItems",
                            type: "POST",
                            data: function () {
                                return {
                                    orderId: e.data.Id
                                };
                            }
                        }
                    },
                    schema: {
                        data: "DataSource"
                    }
                },
                excelExport: function (e) {
                    e.preventDefault();
                },
                scrollable: false,
                sortable: true,

                columns: [
                    {
                        field: "AttendeeName",
                        title: "Participant",
                        width: "130px",
                        template: "#= AttendeeName # #if(OrderItemStatus == 1) {# <i class='grid-label label label-info'>Transferred in</i> #}else if(OrderItemStatus == 2) {# <i class='grid-label label label-danger fg-white'>Transferred out</i> #}else if(OrderItemStatus == 5) {# <i class='grid-label label label-danger fg-white'>Refund</i> #} else if (OrderItemStatus == 4){# <i class='grid-label label label-warning'>Canceled</i> #}#"
                    },
                    {
                        field: "ProegramName",
                        title: "Program",
                        width: "165px"
                    },
                    {
                        field: "OrderAmount",
                        title: "Order amount",
                        width: "70px",
                        attributes: { style: "text-align:right;" }

                    },
                    {
                        field: "PaidAmount",
                        title: "Paid amount",
                        width: "70px",
                        //format: "{0:c2}",
                        attributes: { style: "text-align:right;" }
                    },
                    {
                        field: "Id",
                        title: "id order",
                        width: "110px",
                        hidden: true
                    },

                    {
                        title: "Actions",
                        width: "40px",
                        headerTemplate: "<span class='actions-title'>Actions</span>",
                        template: "#if(true && !IsDonation){#  <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu grid-dropdown' id='Action'>\  <li>\
                                      <a  href='OrderItemDetail?orderItemId=#=Id#'><span class='k-link'>Order details</span></a>\
                                    </li>\<hr>\
                                    <li  data-toggle='confirmation' >\
                                      <a  href='OrderItemRegistrationForm?orderItemId=#=Id#'> <span class='k-link'>Registration form</span></a>\
                                    </li>\
                                    <li >\
                                     <a  href='OrderItemDetail?orderItemId=#=Id###\\#FollowUpForms'>  <span class='k-link'>Follow-up forms</span></a>\
                                    </li>\
                                      <li >\
                                     <a  href='OrderItemDetail?orderItemId=#=Id###\\#Waivers'>  <span class='k-link'>Waivers</span></a>\
                                    </li>\
                                      <li>\
                                    <a href='OrderItemDetail?orderItemId=#=Id###\\#installments'> <span class='k-link'>Installments</span></a>\
                                    </li>\
                                    <hr>\
                                    <li>\
                                      <a  href='#=EventDomain#'> <span class='k-link'>View program</span></a>\
                                    </li>\
                                     </ul>  #}#"
                    }]
            });
        }
        var confiramtionId = '@confiramtionId';
        function onDataBound(arg) {
            if (confiramtionId == "") {
                $('.k-minus').trigger("click");
            }
            else {
                $(".k-master-row td:contains('@confiramtionId')").parent().find('.k-plus').trigger("click");
                setTimeout(function () { $(".orderItems table tbody tr td:contains('@orderitemId')").parent('tr').css('background-color', 'rgba(140, 167, 194, 0.31)'); }, 800);
                setTimeout(function () { $(".orderItems table tbody tr td:contains('@orderitemId')").parent('tr.k-alt').css('background-color', 'rgba(140, 167, 194, 0.31)'); }, 800);
            }
        }
        $(document).ready(function () {

            kendoEmptyGridFix();

        });

    </script>

}